Update a Custom Object Record by Id. Supported Objects are business and custom objects. Documentation Link - https://doc.clickup.com/8631005/d/h/87cpx-277156/93bf0c2e23177b0/87cpx-376296
PUT https://services.leadconnectorhq.com/objects/{schemaKey}/records/{id}
Autorización
Bearer token generado desde el portal Leadway. Ver Autenticación .
Version
string
default: "2021-07-28"
required
Versión de la API.
Path parameters
The key of the Custom Object / Standard Object Schema. For custom objects, the key must include the “custom_objects.” prefix, while standard objects use their respective object keys. This information is available on the Custom Objects Details page under Settings.
id
string
default: "632c34b4c9b7da3358ac9891"
required
id of the record to be updated. Available on the Record details page under the 3 dots or in the url
Query parameters
Body
Respuestas
200 - Successful response
id
string
default: "661c06b4ffde146bdb469442"
required
id of the record
Owner (User’s id). Limited to 1 for now. Only Supported with custom objects
Follower (User’s ids). Limited to 10 for now
Date and time when the object was added
Date and time when the object was last updated
{
"record" : {
"id" : "661c06b4ffde146bdb469442" ,
"owner" : [
"sx6wyHhbFdRXh302Lunr"
],
"followers" : [
"sx6wyHhbFdRXh302Lunr" ,
"v5cEPM428h8vShlRW1KT"
],
"properties" : {
"customer_number" : 1424 ,
"ticket_name" : "Customer not able login" ,
"phone_number" : "+917000000000" ,
"money" : {
"currency" : "default" ,
"value" : 100
},
"type_of_ticket" : "doubt" ,
"section_of_app" : [
"contacts" ,
"smartlist"
],
"recieved_on" : "2024-07-11" ,
"my_files" : [
{
"url" : "---url_of_file---"
}
],
"my_textbox_list.option_a" : "Value 1" ,
"my_textbox_list.option_b" : "Value 2"
},
"dateAdded" : "2024-01-15T10:30:00Z" ,
"dateUpdated" : "2024-01-15T10:30:00Z"
}
}
Ejemplo
curl -X PUT 'https://services.leadconnectorhq.com/objects/YOUR_schemaKey/records/YOUR_id' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28' \
-H 'Content-Type: application/json' \
-d '{}'
const response = await fetch ( 'https://services.leadconnectorhq.com/objects/YOUR_schemaKey/records/YOUR_id' , {
method: 'PUT' ,
headers: {
Authorization: `Bearer ${ process . env . LEADWAY_TOKEN } ` ,
Version: '2021-07-28' ,
},
});
const data = await response . json ();
import os, requests
response = requests.request(
'PUT' ,
'https://services.leadconnectorhq.com/objects/YOUR_schemaKey/records/YOUR_id' ,
headers = {
'Authorization' : f "Bearer { os.environ[ 'LEADWAY_TOKEN' ] } " ,
'Version' : '2021-07-28' ,
},
)
data = response.json()
<? php
$ch = curl_init ( 'https://services.leadconnectorhq.com/objects/YOUR_schemaKey/records/YOUR_id' );
curl_setopt_array ( $ch , [
CURLOPT_RETURNTRANSFER => true ,
CURLOPT_CUSTOMREQUEST => 'PUT' ,
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv ( 'LEADWAY_TOKEN' ),
'Version: 2021-07-28' ,
'Content-Type: application/json' ,
],
CURLOPT_POSTFIELDS => json_encode ( None ),
]);
$data = json_decode ( curl_exec ( $ch ), true );